controllers.controller('MagazineGalleryCtrl', function (
		$scope,
		$rootScope,
		$stateParams,
		AppServiceManager,
		$ionicLoading,
		$ionicSlideBoxDelegate,
		AnalyticService
		) {
	
	$rootScope.hideback = true;
	
	$scope.goBack = function(){
		$rootScope.location.path('/app/magazine/' + $scope.magazine.docid_attr);
	};
	
	$ionicLoading.show(_getIonicLoadingParams());
	
	$scope.id = $stateParams.id;
	
	$scope.tabactive = 'gallery';

	
	$scope.slideHasChanged = function(index){
		$scope.position = index + 1;
	};
	
	$scope.nextSlide = function() {
		$ionicSlideBoxDelegate.next();
	};
	$scope.previouSlide = function() {
		$ionicSlideBoxDelegate.previous();
	};
	$scope.update = function() {
		$ionicSlideBoxDelegate.update();
	};
	
	AppServiceManager.getData(
		'MotofanApiService',
		'getMagazine',
		[$stateParams.id]
	).then(function (data) {
		AnalyticService.trackView(data.titulo + ' - Galeria');
		$scope.magazine = data;
		$scope.total = data.photos.length;
		$scope.position = 1;
		$ionicLoading.hide();
	});
});