controllers.directive('scrollWatchFooter', function($rootScope, $timeout ){
	return function (scope, elem, attr){
		
		var start = 0;
		
		elem.bind('scroll', function(e){
			
			scrolling_down_action = $rootScope.slideHeaderPrevious < e.originalEvent.detail.scrollTop - start;
			scrolling_up_action = $rootScope.slideHeaderPrevious > e.originalEvent.detail.scrollTop - start;
			if(scrolling_down_action){
				$rootScope.hideFooter = true;
			}
			if(scrolling_up_action){
				$rootScope.hideFooter = false;
			}
			$rootScope.slideHeaderPrevious = e.originalEvent.detail.scrollTop - start;
			
			$timeout(function() { $rootScope.$apply();});
		});
	};
});