services.factory('InterstitialService', function(){
	
	return {
		showInterstitial : showInterstitial,
		_prepareInterstitial : _prepareInterstitial
	};
	
	function _prepareInterstitial(){

		admobid = { 
			interstitial: '/3578157/APP_Interstitial'
		};

		if(typeof AdMob !== 'undefined'){
			
			var defaultOptions = {
				position: AdMob.AD_POSITION.BOTTOM_CENTER,
				bgColor: 'black' // color name, or '#RRGGBB'
			};

			AdMob.setOptions(defaultOptions);
			
			// preppare and load ad resource in background
			if(AdMob) AdMob.prepareInterstitial(
				{
					adId:admobid.interstitial,
					autoShow:false
				}, function(msg){//success
					
				},function(msg){//error
					console.log(msg);
				} 
			);
		};
	}
	
	function showInterstitial() {
		
		// show the interstitial later, e.g. at end of game level
		_prepareInterstitial();
		
		// check and show it
		AdMob.isInterstitialReady(function(isready){
			if(isready) AdMob.showInterstitial();
		});
	}
});