services.factory('LocalStorageService', function(){
	
	var _localStorage = {};
	var _keyLocalStorage = 'LocalStorageService';
	
	_constructor = function (){
		
		_localStorage = window.localStorage.getItem(_keyLocalStorage);
		
		if(!_localStorage){
			_localStorage = {};
			window.localStorage.setItem(_keyLocalStorage,JSON.stringify(_localStorage));
		}else{
			
			_localStorage = JSON.parse(_localStorage);
		}
	};
	_constructor();
	
	return {
		set : set,
		get : get
	};

	// Public Methods
	
	function set(key, value){
		
		_localStorage[key] = value;
		window.localStorage.setItem(_keyLocalStorage,JSON.stringify(_localStorage));
	}
	
	function get(key){
		
		data = ( typeof _localStorage[key] !== 'undefined' ) ? _localStorage[key] : false;
		
		return data;
	}
});