function _getIonicLoadingParams(){
	return {
		content: 'Loading',
		animation: 'fade-in',
		showBackdrop: true,
		maxWidth: 200,
		delay: 0,
		duration: 3000
	};
}

function getUniqueIdDevice(){
	
	if(typeof device !== 'undefined'){
		
		return device.uuid;
	}
	return 'qwertyuiopasdfghjklzxcvbnm';
}

function _ajax_request(url, data, callback, type, method) {
	
	if (jQuery.isFunction(data)) {
		callback = data;
		data = {};
	}

	var params = {
		type: method,
		url: url,
		success: callback,
		dataType: type
	};
	if (method === 'DELETE') {
		params.url = params.url + '?' + $.param(data);
	} else {
		params.data = data;
	}
	return jQuery.ajax(params);
}
jQuery.extend({
	
	put: function (url, data, callback, type) {
		return _ajax_request(url, data, callback, type, 'PUT');
	},
	'delete': function (url, data, callback, type) {
		return _ajax_request(url, data, callback, type, 'DELETE');
	}
});