controllers.controller('MagazineCtrl', function (
		$scope,
		$rootScope,
		$stateParams,
		AppServiceManager,
		$ionicLoading,
		$ionicHistory,
		$sce,
		$timeout,
		$state,
		AnalyticService
		) {
	
	$rootScope.hideback = true;
	
	$scope.goBack = function(){

		// goBack artículos
		if ( !$state.current.camefrom.active ) {

			if(typeof $rootScope.cat_index !== 'undefined'){
				type = $rootScope.cat_index;
			}else{

				switch($scope.magazine.categories[0].id){
					case '1':
						type = 1;
						break;
					case '4':
						type = 2;
						break;
					case '9':
						type = 3;
						break;
				}
			}

			$rootScope.location.path('/app/magazine-list/' + type);

		}else{
			// goBack a resultados de búsqueda
			$ionicHistory.goBack();
		}
	};
	
	$ionicLoading.show(_getIonicLoadingParams());
		
	$scope.id = $stateParams.id;

	var appendRobaGaps = function(){
		
		paragraphs = $('.magazine-content p');
		
		device_height = $( window ).height();
		
		roba_gap_place = device_height;
		
		paragraphs.each(function(key, paragraph){
			if($(paragraph).position().top > roba_gap_place){
				roba_gap_place += (2*device_height);
				$(paragraph).after(
				'<div  class="roba-place-4" data-status="empty" style="width:100%; min-height:250px;" >'+
					'<a style="width: 300px;min-height: 250px;display: block;margin: 20px auto; text-align: center;" href="#">'+
						'<img src="img/loader.gif" style="text-align: center; margin: auto; padding-top: 100px; height:28px;width: 28px">'+
					'</a>'+
				'</div>'
				);
			}
		});
	};
	$rootScope.roba_cat_index = 4;
	
	AppServiceManager.getData(
	'MotofanApiService',
	'getMagazine',
	 [$stateParams.id]
	).then(function (data) {
		AnalyticService.trackView(data.titulo);
		$scope.magazine = data;
		if($.type($scope.magazine.content) === 'string'){
			$scope.magazine.content = $sce.trustAsHtml($scope.magazine.content);
		}
		$ionicLoading.hide();
		
		$timeout(function(){
			$('.magazine-content a').unbind('click');
			$('.magazine-content a').click(function(e){
				e.preventDefault();
				e.stopPropagation();

				window.open($(this).attr('href'), '_system');
			});
			appendRobaGaps();
		});
		
	});

	var page = 1;
	var limit = 20;
	
	$scope.loadMore = function (){

		AppServiceManager.getData(
		'MotofanApiService',
		'getMagazineComments',
		[$stateParams.id, page, limit],
		false
		).then(function (data) {
			$scope.comments = _mergeComments($scope.comments, data);
			$scope.$broadcast('scroll.infiniteScrollComplete');
		});
		page++;
	};
	
	$scope.loadMore();
	
	$scope.moreDataCanBeLoaded = function(){

		moredata = true;

		if(typeof $scope.comments !== 'undefined'){

			moredata = $scope.comments.CID > $scope.comments.rows.length;
		}
		return moredata;
	};
});

function _mergeComments(object1, object2){

	if(typeof object1 === 'undefined'){
		
		return object2;
	}
	object1.rows = object1.rows.concat(object2.rows);
	
	return object1;
}