controllers.controller('MagazineProagainstCtrl', function (
		$scope,
		$rootScope,
		$stateParams, 
		AppServiceManager, 
		$ionicLoading,
		AnalyticService
		) {
	
	$rootScope.hideback = true;
	
	$scope.goBack = function(){
		$rootScope.location.path('/app/magazine/' + $scope.magazine.docid_attr);
	};
	
	$ionicLoading.show(_getIonicLoadingParams());
	
	$scope.id = $stateParams.id;
	
	$scope.tabactive = 'proagainst';
	
	AppServiceManager.getData(
		'MotofanApiService',
		'getMagazine',
		[$stateParams.id]
	).then(function (data) {
		AnalyticService.trackView(data.titulo + ' - A favor/En contra');
		$scope.magazine = data;
		$ionicLoading.hide();
	});
	
});