controllers.directive('scrollWatchRoba', function($rootScope, AdsService ){
	return function (scope, elem, attr){
		
		var getListRobaGaps = function(index){
			return $('.roba-place-'+index);
		};
		var getFirstEmptyGap = function(list){
			return list.filter('[data-status=empty]').first();
		};
		var getLastFullGap = function(list){
			return list.filter('[data-status=full]').last();
		};
		var roba_gap_alias = [
			'APP_Roba_Portada',
			'APP_Roba_Noticias',
			'APP_Roba_Competicion',
			'APP_Roba_Pruebas',
			'APP_Roba_Articulo'
			
		];
		// Show roba AD
		elem.bind('scroll',function(e){

			roba_gaps = getListRobaGaps($rootScope.roba_cat_index);
			roba_gap = getFirstEmptyGap(roba_gaps);
			roba = getLastFullGap(roba_gaps);
			
			if(roba_gap.length && !roba.length){

				AdsService.getRoba(roba_gap, roba_gap_alias[$rootScope.roba_cat_index]);
				return;
			}
			
			current_pos = e.originalEvent.detail.scrollTop;
			
			if(roba_gap.length && roba.length && current_pos > roba.position().top && roba_gap.length){
				AdsService.getRoba(roba_gap, roba_gap_alias[$rootScope.roba_cat_index]);
			}
		});
	};
	
});